Slider & progress for Javascript

Updated on May 17, 2021
Learn More

Use the slider and progress components to let users pick values from a continuous or discrete range, rate items and clearly give progress feedback to users.

With a wide variety of customization options you can easily fine-tune the UX to the need of your users. Interact ans et values programmatically on the fly.

Use it for picking values, showing progress with the following features:

  • Single and multiple handle sliders
  • Continuous slider
  • Discrete slider
  • Custom steps for slider and progress
  • Custom icon support
  • Rating slider
  • Color preset support


Forms demos available for other frameworks.

Viewing demos & code for

Javascript Slider & progress Slider & progress for Javascript

Slider & progress - Slider

Change demo
Slider
Javascript Slider examples with single, multiple handles supporting icons, inline values, steps, floating and discrete slider. Plain JS api for usage everywhere.
Copy code

Slider & progress - Date Slider

Change demo
Date Slider
Javascript Slider demo as a date picker. Use this for picking the day of week where simplicity is essential. Plain JS api for usage everywhere.
Copy code

Slider & progress - Progress

Change demo
Progress
Javascript Progress indicator with custom steps, labels, icons, percentage and event hooks for programmatic interaction. Plain JS api for usage everywhere.
Copy code
// Use the settings object to change the theme
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

/* Download progress */
var downloadInst = mobiscroll.progress('#download'),
    interval,
    i;

function startDownload() {
    i = 0;
    clearInterval(interval);
        interval = setInterval(function () {
            if (i == 100) {
                clearInterval(interval);
            }
            downloadInst.setVal(i += 5);
        }, 600);
}

document
    .querySelector('.md-restart')
    .addEventListener('click', function () {
        startDownload();
    }, false);

startDownload();

/* Step progress */

var inst = mobiscroll.progress('#progress');

document
    .querySelector('.md-update')
    .addEventListener('click', function () {
        if (inst.getVal() >= 100) {
            inst.setVal(0);
        } else {
            inst.setVal(inst.getVal() + 25);
        }
    }, false);

/* cloud progress */

var uploadInst = mobiscroll.progress('#uploadProg', {
        theme: ' ',
        themeVariant: ' ',
        lang: ' '
    }),
    upInterval,
    uploadList = ['1MB', '5MB', '10MB', '50MB']
uploadLabels = document.querySelectorAll('.md-upload .mbsc-progress-step-label');

/* replace progress labels */
for (i = 0; i < uploadLabels.length; ++i) {
    uploadLabels[i].innerHTML = uploadList[i];
}

function restartUpload() {
    uploadInst.setVal(0);
    clearInterval(upInterval);
        upInterval = setInterval(function () {
            if (uploadInst.getVal() >= 100) {
                clearInterval(upInterval);
            }

            uploadInst.setVal(uploadInst.getVal() + 17);
        }, 1000);
}

document
    .querySelector('.md-restart')
    .addEventListener('click', function () {
        restartUpload();
    }, false);

restartUpload();

/* checkout progress */

var cartInst = mobiscroll.progress('#cartProg'),
    labelList = ['Cart', 'Pay', 'Enjoy'],
    checkoutLabels = document.querySelectorAll('.md-demo .mbsc-progress-step-label');

/* replace progress labels */
for (i = 0; i < checkoutLabels.length; ++i) {
    checkoutLabels[i].innerHTML = labelList[i];
}

document
    .querySelector('.md-next-step')
    .addEventListener('click', function () {
        if (cartInst.getVal() >= 100) {
            cartInst.setVal(0);
        } else {
            cartInst.setVal(cartInst.getVal() + 50);
        }
    }, false);

/* init other form elements */
mobiscroll.form('#demo');
<div id="demo" class="md-progress-demo" mbsc-form>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Downloading file</div>
        <label>
            <progress mbsc-progress id="download" value="0" max="100" data-icon='{ "left": "cloud-download" }' data-val="right"></progress>
        </label>
    </div>
    <div class="mbsc-form-group mbsc-btn-group">
        <button mbsc-button class="mbsc-btn md-restart">Restart download</button>
    </div>
    <div class="mbsc-form-group">
        <label>
            <progress mbsc-progress id="progress" value="0" max="100" data-step-labels="[0, 25, 50, 75, 100]"></progress>
        </label>
    </div>
    <div class="mbsc-form-group mbsc-btn-group">
        <button mbsc-button class="mbsc-btn md-update">Update progress</button>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Cloud upload</div>
        <label class="md-upload">
            <progress mbsc-progress  value="0" id="uploadProg" max="100" data-step-labels="[0, 33, 66, 100]" data-icon='{ "left": "cloud-upload" }'></progress>
        </label>
    </div>
    <div class="mbsc-form-group mbsc-btn-group">
        <button mbsc-button class="mbsc-btn md-restart-up">Restart upload</button>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Checkout process</div>
        <label class="md-demo">
            <progress mbsc-progress id="cartProg" value="0" max="100" data-step-labels="[0, 50, 100]"></progress>
        </label>
    </div>
    <div class="mbsc-form-group mbsc-btn-group">
        <button mbsc-button class="mbsc-btn md-next-step">Next step</button>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Progress colors</div>

        <label class="mbsc-progress-primary">
            Primary
            <progress mbsc-progress value="30" max="100"></progress>
        </label>

        <label class="mbsc-progress-secondary">
            Secondary
            <progress mbsc-progress value="50" max="100"></progress>
        </label>

        <label class="mbsc-progress-success">
            Success
            <progress mbsc-progress value="67" max="100"></progress>
        </label>

        <label class="mbsc-progress-danger">
            Danger
            <progress mbsc-progress value="55" max="100"></progress>
        </label>

        <label class="mbsc-progress-warning">
            Warning
            <progress mbsc-progress value="33" max="100"></progress>
        </label>

        <label class="mbsc-progress-info">
            Info
            <progress mbsc-progress value="86" max="100"></progress>
        </label>
    </div>
</div>

Slider & progress - Rating

Change demo
Rating
Javascript Rating examples with stars, supporting icons, fractional values, custom ranges and colors. For desktop & mobile. Plain JS api for usage everywhere.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Slider & progress for React

Updated on May 17, 2021
Learn More

Use the slider and progress components to let users pick values from a continuous or discrete range, rate items and clearly give progress feedback to users.

With a wide variety of customization options you can easily fine-tune the UX to the need of your users. Interact ans et values programmatically on the fly.

Use it for picking values, showing progress with the following features:

  • Single and multiple handle sliders
  • Continuous slider
  • Discrete slider
  • Custom steps for slider and progress
  • Custom icon support
  • Rating slider
  • Color preset support


Forms demos available for other frameworks.

Viewing demos & code for

React Slider & progress Slider & progress for React

Slider & progress - Slider

Change demo
Slider
React Slider examples with single, multiple handles supporting icons, inline values, steps, floating and discrete slider. For React and Next.JS.
Copy code

Slider & progress - Date Slider

Change demo
Date Slider
React Slider demo as a date picker. Use this for picking the day of week where simplicity is essential. For React and Next.JS.
Copy code

Slider & progress - Progress

Change demo
Progress
React Progress indicator with custom steps, labels, icons, percentage and event hooks for programmatic interaction. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    constructor(props) {
        super(props);

        this.state = {
            downloadVal: 0,
            updateVal: 0,
            uploadVal: 0,
            nextVal: 0,
            colorVal: 56
        };
    }
    
    downloadInterval = null;
    download = () => {
        clearInterval(this.downloadInterval);
        let i = 0;
			
        this.downloadInterval = setInterval(() => {
            if (i == 100) {
                clearInterval(this.downloadInterval);
            }
            
            i+=5;
            
            this.setState({
                downloadVal: i
            });
        }, 600);
    }
    
    update = () => {
        if (this.state.updateVal >= 100) {
            this.setState({
                updateVal: 0
            });
        } else {
            this.setState({
                updateVal: this.state.updateVal + 25
            });
        }
    }
    
    uploadInterval = null;
    upload = () => {
        clearInterval(this.uploadInterval);
        let i = 0;
        
        this.setState({
            uploadVal: 0
        });
        
		this.uploadInterval = setInterval(() => {
            if (this.state.uploadVal >= 100) {
                clearInterval(this.uploadInterval);
            }

            i += 17;

            this.setState({
                uploadVal: i
            });
        }, 1000);
    }
    
    next = () => {
        if (this.state.nextVal >= 100) {
            this.setState({
                nextVal: 0
            });
        } else {
            this.setState({
                nextVal: this.state.nextVal + 50
            });
        }
    }
    
    render() {
        return (
            <mobiscroll.Form theme=" "  themeVariant=" " lang=" ">
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Downloading file</mobiscroll.FormGroupTitle>
                    <mobiscroll.Progress
                        value={this.state.downloadVal}
                        max={100}
                        data-icon='{ "left": "cloud-download" }'
                        data-val="right"
                    />
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup className="mbsc-btn-group">
                    <button onClick={this.download} type="button" className="mbsc-btn md-restart">Restart download</button>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.Progress 
                        value={this.state.updateVal} 
                        max={100} 
                        data-step-labels="[0, 25, 50, 75, 100]"
                    />
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup className="mbsc-btn-group">
                    <button onClick={this.update} type="button" className="mbsc-btn md-update">Update progress</button>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Cloud upload</mobiscroll.FormGroupTitle>
                    <label className="md-upload">
                        <mobiscroll.Progress 
                            value={this.state.uploadVal}
                            max={100}
                            data-step-labels="[0, 33, 66, 100]"
                            data-icon='{ "left": "cloud-upload" }'
                        />
                    </label>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup className="mbsc-btn-group">
                    <button onClick={this.upload} type="button" className="mbsc-btn md-restart-up">Restart upload</button>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Checkout process</mobiscroll.FormGroupTitle>
                    <label className="md-demo">
                        <mobiscroll.Progress
                            value={this.state.nextVal}
                            max={100}
                            data-step-labels="[0, 50, 100]"
                        />
                    </label>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup className="mbsc-btn-group">
                    <button onClick={this.next} type="button" className="mbsc-btn md-next-step">Next step</button>
                </mobiscroll.FormGroup>
                <mobiscroll.FormGroup>
                    <mobiscroll.FormGroupTitle>Progress colors</mobiscroll.FormGroupTitle>
                    <mobiscroll.Progress
                        value={this.state.colorVal}
                        color="primary"
                    >
                        Primary
                    </mobiscroll.Progress>
                    <mobiscroll.Progress
                        value={this.state.colorVal}
                        color="secondary"
                    >
                        Secondary
                    </mobiscroll.Progress>
                    <mobiscroll.Progress
                        value={this.state.colorVal}
                        color="success"
                    >
                        Success
                    </mobiscroll.Progress>
                    <mobiscroll.Progress
                        value={this.state.colorVal}
                        color="danger"
                    >
                        Danger
                    </mobiscroll.Progress>
                    <mobiscroll.Progress
                        value={this.state.colorVal}
                        color="warning"
                    >
                        Warning
                    </mobiscroll.Progress>
                    <mobiscroll.Progress
                        value={this.state.colorVal}
                        color="info"
                    >
                        Info
                    </mobiscroll.Progress>
                </mobiscroll.FormGroup>
            </mobiscroll.Form>
        );
    }
    
    componentDidMount() {
        const uploadList = ['1MB', '5MB', '10MB', '50MB'];
        const uploadLabels = document.querySelectorAll('.md-upload .mbsc-progress-step-label');
        const labelList = ['Cart', 'Pay', 'Enjoy'];
        const checkoutLabels = document.querySelectorAll('.md-demo .mbsc-progress-step-label');

        // replace upload progress labels
        for (let i = 0; i < uploadLabels.length; ++i) {
            uploadLabels[i].innerHTML = uploadList[i];
        }

        // replace checkout progress labels
        for (let i = 0; i < checkoutLabels.length; ++i) {
            checkoutLabels[i].innerHTML = labelList[i];
        }

        this.download();
        this.upload();
    }
}

<div id="content"></div>

Slider & progress - Rating

Change demo
Rating
React Rating examples with stars, supporting icons, fractional values, custom ranges and colors. For desktop & mobile. For React and Next.JS.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Slider & progress for Angular and Ionic Framework

Updated on May 17, 2021
Learn More

Use the slider and progress components to let users pick values from a continuous or discrete range, rate items and clearly give progress feedback to users.

With a wide variety of customization options you can easily fine-tune the UX to the need of your users. Interact ans et values programmatically on the fly.

Use it for picking values, showing progress with the following features:

  • Single and multiple handle sliders
  • Continuous slider
  • Discrete slider
  • Custom steps for slider and progress
  • Custom icon support
  • Rating slider
  • Color preset support


Forms demos available for other frameworks.

Viewing demos & code for

Angular and Ionic Slider & progress Slider & progress for Angular and Ionic Framework

Slider & progress - Slider

Change demo
Slider
Angular Slider examples with single, multiple handles supporting icons, inline values, steps, floating and discrete slider. For Angular 22 and Ionic 8.
Copy code

Slider & progress - Date Slider

Change demo
Date Slider
Angular Slider demo as a date picker. Use this for picking the day of week where simplicity is essential. For Angular 22 and Ionic 8.
Copy code

Slider & progress - Progress

Change demo
Progress
Angular Progress indicator with custom steps, labels, icons, percentage and event hooks for programmatic interaction. For Angular 22 and Ionic 8.
Copy code
import { Component, OnInit } from '@angular/core';
import { MbscFormOptions } from '@mobiscroll/angular';

const uploadList = ['1MB', '5MB', '10MB', '50MB'];
const labelList = ['Cart', 'Pay', 'Enjoy'];
let interval: any;
let upInterval: any;
let i: number;

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent implements OnInit {
    progress1 = 0;
    progress2 = 0;
    progress3 = 0;
    progress4 = 0;
    progressColor = 55;

    formSettings: MbscFormOptions = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' ',
        onInit: function () {
            const uploadLabels = document.querySelectorAll('.md-upload .mbsc-progress-step-label');
            const checkoutLabels = document.querySelectorAll('.md-demo .mbsc-progress-step-label');

            for (i = 0; i < uploadLabels.length; ++i) {
                uploadLabels[i].innerHTML = uploadList[i];
            }

            for (i = 0; i < checkoutLabels.length; ++i) {
                checkoutLabels[i].innerHTML = labelList[i];
            }
        }
    };

    restartDownload() {
        i = 0;
        clearInterval(interval);
            interval = setInterval(() => {

                if (i === 100) {
                    clearInterval(interval);
                }
                i += 5;
                this.progress1 = i;
            }, 600);
    }

    updateProgress() {
        if (this.progress2 >= 100) {
            this.progress2 = 0;
        } else {
            this.progress2 += 25;
        }
    }

    restartUpload() {
        this.progress3 = 0;
        clearInterval(upInterval);
            upInterval = setInterval(() => {
                if (this.progress3 >= 100) {
                    clearInterval(upInterval);
                }
                this.progress3 += 17;
            }, 1000);
    }

    nextStep() {
        if (this.progress4 >= 100) {
            this.progress4 = 0;
        } else {
            this.progress4 += 50;
        }
    }

    ngOnInit() {
        this.restartDownload();
        this.restartUpload();
    }
}
<mbsc-form [options]="formSettings">
    <mbsc-form-group>
        <mbsc-form-group-title>Downloading file</mbsc-form-group-title>
        <mbsc-progress [ngModel]="progress1" max="100" icon='{ "left": "cloud-download" }' val="right"></mbsc-progress>
    </mbsc-form-group>
    <mbsc-form-group class="mbsc-btn-group">
        <mbsc-button (click)="restartDownload()">Restart download</mbsc-button>
    </mbsc-form-group>
    <mbsc-form-group>
        <mbsc-progress [ngModel]="progress2" max="100" step-labels="[0, 25, 50, 75, 100]"></mbsc-progress>
    </mbsc-form-group>
    <mbsc-form-group class="mbsc-btn-group">
        <mbsc-button (click)="updateProgress()">Update progress</mbsc-button>
    </mbsc-form-group>
    <mbsc-form-group class="md-upload">
        <mbsc-form-group-title>Cloud upload</mbsc-form-group-title>
        <mbsc-progress [ngModel]="progress3" max="100" step-labels="[0, 33, 66, 100]" icon='{ "left": "cloud-upload" }'></mbsc-progress>
    </mbsc-form-group>
    <mbsc-form-group class="mbsc-btn-group">
        <mbsc-button (click)="restartUpload()">Restart upload</mbsc-button>
    </mbsc-form-group>
    <mbsc-form-group class="md-demo">
        <mbsc-form-group-title>Checkout process</mbsc-form-group-title>
        <mbsc-progress [ngModel]="progress4" max="100" step-labels="[0, 50, 100]"></mbsc-progress>
    </mbsc-form-group>
    <mbsc-form-group class="mbsc-btn-group">
        <mbsc-button (click)="nextStep()">Next step</mbsc-button>
    </mbsc-form-group>

    <mbsc-form-group>
        <mbsc-form-group-title>Progress colors</mbsc-form-group-title>

        <mbsc-progress [ngModel]="progressColor" color="primary">Primary</mbsc-progress>
        <mbsc-progress [ngModel]="progressColor" color="secondary">Secondary</mbsc-progress>
        <mbsc-progress [ngModel]="progressColor" color="success">Success</mbsc-progress>
        <mbsc-progress [ngModel]="progressColor" color="danger">Danger</mbsc-progress>
        <mbsc-progress [ngModel]="progressColor" color="warning">Warning</mbsc-progress>
        <mbsc-progress [ngModel]="progressColor" color="info">Info</mbsc-progress>
    </mbsc-form-group>
</mbsc-form>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Slider & progress - Rating

Change demo
Rating
Angular Rating examples with stars, supporting icons, fractional values, custom ranges and colors. For desktop & mobile. For Angular 22 and Ionic 8.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos